Bug 953337 - "runuser" error in yum upgrade of unbound-libs
Summary: "runuser" error in yum upgrade of unbound-libs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: unbound
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 953378 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-18 01:02 UTC by Matthew Miller
Modified: 2013-09-19 15:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-19 15:22:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthew Miller 2013-04-18 01:02:36 UTC
Updating   : unbound-libs-1.4.20-6.fc19.x86_64                        102/234 
/usr/sbin/runuser: invalid option -- 'a'

Usage:
 runuser [options] -u <USER> COMMAND
 runuser [options] [-] [USER [arg]...]

Run COMMAND with the effective <user> id and group id. If -u not
given, fallback to su(1) compatible semantic and shell is executed.
The options -l, -c, -f, -s are mutually exclusive to -u.

Options:
 -u, --user <user>               username
 -m, -p, --preserve-environment  do not reset environment variables
 -g, --group <group>             specify the primary group
 -G, --supp-group <group>        specify a supplemental group

 -, -l, --login                  make the shell a login shell
 -c, --command <command>         pass a single command to the shell with -c
 --session-command <command>     pass a single command to the shell with -c
                                 and do not create a new session
 -f, --fast                      pass -f to the shell (for csh or tcsh)
 -s, --shell <shell>             run shell if /etc/shells allows it

 -h, --help     display this help and exit
 -V, --version  output version information and exit

For more details see runuser(1).

Comment 1 Adam Williamson 2013-04-18 16:28:36 UTC
Also saw this (as per bodhi).

Comment 2 Fedora Update System 2013-04-19 15:00:35 UTC
unbound-1.4.20-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/unbound-1.4.20-7.fc19

Comment 3 Paul Wouters 2013-04-19 15:22:17 UTC
*** Bug 953378 has been marked as a duplicate of this bug. ***

Comment 4 Fedora Update System 2013-04-19 16:47:51 UTC
Package unbound-1.4.20-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing unbound-1.4.20-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6074/unbound-1.4.20-7.fc19
then log in and leave karma (feedback).

Comment 5 Jiri Popelka 2013-04-22 09:28:14 UTC
---> Package unbound-libs.x86_64 0:1.4.19-5.fc19 will be updated
---> Package unbound-libs.x86_64 0:1.4.20-7.fc19 will be an update
...
  Updating   : unbound-libs-1.4.20-7.fc19.x86_64
runuser: user  --command=/usr/sbin/unbound-anchor -a /var/lib/unbound/root.key -c /etc/unbound/icannbundle.pem does not exist
warning: %post(unbound-libs-1.4.20-7.fc19.x86_64) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package unbound-libs-1.4.20-7.fc19.x86_64

Comment 6 Paul Wouters 2013-09-19 15:22:43 UTC
This is fixed.


Note You need to log in before you can comment on or make changes to this bug.